.SwitchToggleContainer {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 36px;
    height: 24px;
    z-index: 0;
}

.SwitchToggle {
    position: relative;
    display: inline-block;
    width: 33px;
    height: 14px;
}

.SwitchToggle > input {
    opacity: 0;
    width: 0;
    height: 0;
}

.Slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #dcdcdf;
    border-radius: 10px;
    transition: .4s;
}

.Slider::before {
    position: absolute;
    content: "";
    height: 18px;
    width: 18px;
    left: -3px;
    top: calc(50% - 20px/2);

    border: 1px solid rgba(137, 137, 147, 0.2);
    border-radius: 50%;
    background: #f7f7f7;
    transition: .4s;
}

.SwitchToggle > input:checked + .Slider {
    background: #60c2aa;
    opacity: 0.5;
}

.SwitchToggle > input:checked + .Slider::before {
    transform: translateX(19px);
    background: #3ba189;
    transition: .4s;
}